Skip to main content
PATCH
Update Route

Authorizations

x-api-key
string
header
required

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path Parameters

routeIdOrPathname
string
required

The route ID or pathname for the route you are updating.

Query Parameters

siteId
string<uuid>

The site ID required when using a pathname instead of a route ID.

skipValidation
enum<string>

The flag that determines whether to skip route validation. Useful when an external system has a different way of validating routes.

Available options:
true,
false

Body

application/json

The request body for updating an existing route.

pathname
string

The route pathname.

Example:

"/furniture"

Response

The route.

object
enum<string>
required
Available options:
route
id
string<uuid>
required

The ID of the route.

pathname
string
required

The route pathname.

Example:

"/furniture"